# Black Hole Solitaire Solver

[Black Hole Solitaire Solver](http://www.shlomifish.org/open-source/projects/black-hole-solitaire-solver/)
is an automated solver for the card Solitaire games [“Golf”](https://en.wikipedia.org/wiki/Golf_%28patience%29), [“Black Hole”](http://en.wikipedia.org/wiki/Black_Hole_%28solitaire%29),
and [“All in a Row”](http://en.wikipedia.org/wiki/All_in_a_Row_%28Solitaire%29) .

[![Build Status](https://travis-ci.org/shlomif/black-hole-solitaire.svg?branch=master)](https://travis-ci.org/shlomif/black-hole-solitaire) [![AppVeyor Build Status](https://ci.appveyor.com/api/projects/status/yvne045w9dmd4h92?svg=true)](https://ci.appveyor.com/project/shlomif/black-hole-solitaire)

## Screenshots

![Running using PySol FC on KDE Plasma 5](<http://i.imgur.com/htp5UZq.jpg>)

### Videos

[Solving Black Hole in PySolFC](https://www.youtube.com/watch?v=t_cuDHj5V2k&feature=youtu.be)

## Guide to the code

The interesting code in C is under the black-hole-solitaire/c-solver/
directory and there's also some older code in Perl under
black-hole-solitaire/Games-Solitaire-BlackHole-Solver/ .

Some related links:

* [Freecell Solver](http://fc-solve.shlomifish.org/) - a solver for Freecell
and related solitaire games.
* [Other patience solvers](http://fc-solve.shlomifish.org/links.html#other_solvers)

## CI Build+Tests

* https://travis-ci.org/shlomif/black-hole-solitaire
* https://ci.appveyor.com/project/shlomif/black-hole-solitaire
